# SendInvoice.<init> - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.payments / SendInvoice / <init>

# <init>

(common) `SendInvoice(chatId: ChatId, title: String, description: String, payload: String, providerToken: String, startParameter: StartParameter, currency: Currency, prices: List<LabeledPrice>, providerData: String? = null, requireName: Boolean = false, requirePhoneNumber: Boolean = false, requireEmail: Boolean = false, requireShippingAddress: Boolean = false, shouldSendPhoneNumberToProvider: Boolean = false, shouldSendEmailToProvider: Boolean = false, priceDependOnShipAddress: Boolean = false, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: InlineKeyboardMarkup? = null)`

### Parameters

`providerData` -

- JSON-ENCODED FIELD